Subject: Re: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Jul 2014 12:33:34 +0300

> From: Michael Albinus <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 18 Jul 2014 11:24:59 +0200
> 
> Tramp uses ls-lisp only in case it cannot use a native method on the
> remote host. Experience shows, that ls-lisp has a much worse performance
> for remote directories than native implementations.

Any insight as to why this happens?  Perhaps the Tramp implementation
of directory-files-and-attributes needs some love?

> I would oppose to make ls-lisp the default, and to add functionality to
> it which would not be available otherwise.

If this is because of Tramp, nothing prevents us from using 'ls' on
the remote host, and then manipulate the results locally in Lisp,
right?  So I'm not sure I understand the rationale for your
objections.  Perhaps revealing more details will help.